function flag = AnnotateSig(fig, xVal, pVal, pCriterion, contCriterion, barColor, varargin)

barDrop = 0.05;
barWidth = 8;
returnPts = false;
flag = false;
annotate = true;

for i = 1:2:length(varargin)
    switch lower(varargin{i})
        case 'bardrop'
            barDrop = varargin{i+1};
        case 'barwidth'
            barWidth = varargin{i+1};
        case 'returnpts'
            returnPts = varargin{i+1};
        case 'annotate'
            annotate = varargin{i+1};
    end
end

if ~isempty(fig)
    figure(fig)
end

if ~iscell(barColor)
    barColor = {barColor};
end

if returnPts
    flag = [];
end

yDat = ylim(gca);
yMax = yDat(2);
hold on

for k = 1:length(pCriterion)
    
sig = find(pVal < pCriterion(k));
if length(sig) < 2
    continue
end

cont = round(contCriterion/(xVal(2)- xVal(1)));

edges = [find(diff(sig) > 1) length(sig)];
lastEdge = 0;
markY = [yMax yMax] - barDrop * diff(yDat);
c = 1;
for i = 1: length(edges)
    if edges(i) >= lastEdge + cont;
        markX = [xVal(sig(lastEdge + 1)) xVal(sig(edges(i)))];
        if annotate
            plot(markX, markY, 'Linewidth', barWidth, 'Color', barColor{k})
        end
        if returnPts
            flag{c} = sig(lastEdge + 1):sig(edges(i));
            c = c + 1;
        else
            flag = true;
        end
        
    end
    lastEdge = edges(i);
end

end

