function  smoothY = GaussianSmooth(x, y, sd, varargin)

% varargin is an optional argument specifying how far out along the
% gaussian in include points for smoothing, in number of standard deviations.
% The default value is 5 SD. A smaller value here means faster but less accurate smoothing.

if length(varargin) == 1
    cutoff = gaussmf(varargin * sd, [sd 0]);
else
    cutoff = gaussmf(5 * sd, [sd 0]);
end

smoothY = y;
for i = 1:length(y)
    filter = gaussmf(x, [sd x(i)]);
    sel = find(filter >= cutoff);
    filter = filter(sel) / sum(filter(sel));
    smoothY(i) = sum(y(sel) .* filter);
end