function [pk1 pk1t pk2 pk2t] = PeakResponse(traj, evt, win, pol)

% pk1: value measured at time of peak mean response
% pk2: value measured at peak of each individual trial

nEvt = length(evt);
ti = traj.times(1);
dt = traj.times(2) - ti;
win = round(win/dt);
r = zeros(nEvt, win(2));
for k = 1:nEvt
    p0 = round((evt(k) - ti)/dt) + 1;
    bsln = mean(traj.rate(p0+win(1):p0));
    r(k,:) = traj.rate(p0+1:p0+win(2)) - bsln;
end
meanR = mean(r);
if pol > 0
    meanPkLoc = find(meanR == max(meanR));
    pk2 = arrayfun(@(k) max(r(k,:)), 1:nEvt);
elseif pol < 0
    meanPkLoc = find(meanR == min(meanR));
    pk2 = arrayfun(@(k) min(r(k,:)), 1:nEvt);
else
    meanPkLoc = find(abs(meanR) == max(abs(meanR)));
    pk2 = arrayfun(@(k) max(abs(r(k,:))), 1:nEvt);
end
pk1 = r(:, meanPkLoc(1));
pk1t = meanPkLoc(1) * dt;
if pol == 0
    pk2t = arrayfun(@(k) find(abs(r(k,:)) == pk2(k)), 1:nEvt, 'UniformOutput', false);
else
    pk2t = arrayfun(@(k) find(r(k,:) == pk2(k)), 1:nEvt, 'UniformOutput', false);
end
pk2t = cellfun(@(p) p(1), pk2t);
pk2 = arrayfun(@(k) r(k, pk2t(k)), 1:nEvt);
pk2t = pk2t * dt;