function RasterPlot2(spk, plotRange, varargin)

% spk is a cell array of spike times (each cell is one trial)

% default values for optional arguments
fig = [];
tickColor = 'k';
tickWidth = 1;
tickSpread = 1;
zerolineWidth = 1;
yVal = [];

for i = 1:2:length(varargin)
    switch lower(varargin{i})
        case 'fig'
            fig = varargin{i+1};
        case 'tickwidth'
            tickWidth = varargin{i+1};
        case 'tickspread'
            tickSpread = varargin{i+1};
        case 'tickcolor'
            tickColor = varargin{i+1};
        case 'yval'
            yVal = varargin{i+1};
    end     
end


tickY = [0.5 -0.5] * tickSpread;
nTr = length(spk);

if isempty(yVal)
    yVal = nTr:-1:1;
end

if isempty(fig)
    figure;
else
    figure(fig);
end
hold on;

for k = 1:nTr
    s = spk{k}(spk{k} > plotRange(1) & spk{k} < plotRange(2));
    for i = 1:length(s)
        line([s(i) s(i)], yVal(k) + tickY, 'color', tickColor, 'LineWidth', tickWidth); 
    end
end
xlim(plotRange);
ylim([min(yVal) - 0.5 max(yVal) + 0.5]);
ax = gca;
ax.YAxis.Visible = 'off';


hold off