function [pVal rate bsln] = ResponseAssess(spk, evt, param)

% unpack parameters
bB = param.bslnWin;
rWin = param.responseWin;
bW = param.binWidth;
pol = param.responsePolarity;

sided = 1;
if pol == 0
    sided = 2;
end
bE = [rWin(1):bW:rWin(2)];
nBins = length(bE) - 1;

if iscolumn(evt)
    evt = evt';
end

bCount = sum(arrayfun(@(t) length(spk(spk >= t+bB(1) & spk < t+bB(2))), evt));
nR = length(evt);
nB = length(evt) * diff(bB) / bW;
s = [];
for t = evt
    s = [s spk(spk > t+bE(1) & spk <t+bE(end)) - t];
end
rCount = histcounts(s, bE);
if pol < 0
    pVal = arrayfun(@(r) testPoissonSignificance(r, bCount, nR, nB, 0, sided), rCount);
else
    pVal = arrayfun(@(r) testPoissonSignificance(bCount, r, nB, nR, 0, sided), rCount);
end
rate = rCount / (nR * bW);
bsln = bCount / (nB * bW);
