function trList = TrialFilter(ts, filterStr, varargin)

hemi = 'L';
laser = -1;

if length(varargin) > 0
    hemi = varargin{1};
    if iscell(hemi)
        hemi = hemi{1}(1);
    else
        hemi = hemi(1);
    end
    if length(varargin) >1
        laser = varargin{2};
    end
end
segLen = length(filterStr) / 2;
trList = 0:(length(ts.go) - segLen);

for i = 1:segLen
    
    trList = trList + 1;
    
    switch filterStr(2*i - 1)
        case 'R'
            choice = intersect(strfind(ts.choice, 'R'), trList);
        case 'L'
            choice = intersect(strfind(ts.choice, 'L'), trList);
        case 'I'
            if strcmpi(hemi, 'R')
                choice = intersect(strfind(ts.choice, 'R'), trList);
            else
                choice = intersect(strfind(ts.choice, 'L'), trList);
            end
        case 'C'
            if strcmpi(hemi, 'L')
                choice = intersect(strfind(ts.choice, 'R'), trList);
            else
                choice = intersect(strfind(ts.choice, 'L'), trList);
            end
        otherwise
            choice = trList;
    end
    
    switch filterStr(2*i)
        case '0'
            outcome = intersect(find(~ts.outcome), trList);
        case '1'
            outcome = intersect(find(ts.outcome), trList);
        otherwise
            outcome = trList;
    end
    
    trList = intersect(choice, outcome);
    if ~isrow(trList)
        trList = trList';
    end
    
end

if ~isnumeric(laser) & isfield(ts.attempt, 'laserOn')
    nTr = length(ts.attemptNumber);
    laserAttempt = find(arrayfun(@(a) ~isempty(a.laserOn), ts.attempt));
    laserValidAttempt = intersect(laserAttempt, ts.attemptNumber);
    [~, laserTrial] = ismember(laserValidAttempt, ts.attemptNumber);
    ctrlTrial = setdiff(1:nTr, laserTrial);
    if laser
        trList = intersect(laserTrial, trList);
    else
        trList = intersect(ctrlTrial, trList);
    end
end