function trialDat = TrialSplit(spkTimes, behav_ts, varargin)

% "zeroEvent" is the index for the event on which times are aligned
% 1: trial begin 2: nose in center port,   3: tone
% 4: nose out of center port,   5: nose in side port
% ".spkTimes" is a cell array

zeroEvent = 2;
preWin = 0;
postWin = [];

for i = 1:length(varargin)
    switch lower(varargin{i})
        case 'zeroevent'
            zeroEvent = varargin{i+1};
        case 'prewin'
            preWin = varargin{i+1};
        case 'postwin'
            postWin = varargin{i+1};
    end
end

switch zeroEvent
    case 1
        zeroTimes = behav_ts.trialbegin;
    case 2
        zeroTimes = behav_ts.Center_NI;
    case 3
        zeroTimes = behav_ts.go;
    case 4
        zeroTimes = behav_ts.Center_NO;
    case 5
        zeroTimes = behav_ts.Side_NI;
    otherwise
        zeroTimes = zeros(nTr,1);
end

nTr = length(behav_ts.attemptNumber);
for k = 1:nTr
    
    trialDat(k).startTime = behav_ts.trialbegin(k) - preWin;
    
    if isempty(postWin)
        if k < nTr
            trialDat(k).endTime = behav_ts.trialbegin(k + 1) - preWin;
        else
            trialDat(k).endTime = behav_ts.Side_NI(k) + 10;
        end
        
    else
        trialDat(k).endTime = zeroTimes(k) + postWin;
    end
    
    trialDat(k).spkTimes = spkTimes(spkTimes >= trialDat(k).startTime & spkTimes < trialDat(k).endTime); 
    trialDat(k).spkTimes = trialDat(k).spkTimes - zeroTimes(k);
    trialDat(k).startTime = trialDat(k).startTime - zeroTimes(k);
    trialDat(k).endTime = trialDat(k).endTime - zeroTimes(k);
    trialDat(k).eventTimes = [behav_ts.trialbegin(k) behav_ts.Center_NI(k) behav_ts.go(k) behav_ts.Center_NO(k) behav_ts.Side_NI(k)] - zeroTimes(k);
    
end