function traj = UnitTraj(unit, var, dt, varargin)

if length(varargin) > 0
    taskName = varargin{1};
else
    taskName = 'RL';
end

taskIdx = find(cellfun(@(t) strcmp(lower(taskName), lower(t)), unit.taskList));
t1 = unit.taskStart(taskIdx);
t2 = unit.taskEnd(taskIdx);
spkTimes = unit.spkTimes;
spkTimes = spkTimes(spkTimes > t1 & spkTimes < t2) - t1;

traj.times = 0:dt:t2-t1;
traj.rate = zeros(size(traj.times));
traj.name = unit.name;
t = -5*var:dt:5*var;
nPts = length(t);
centerLoc = find(abs(t) == min(abs(t)));
lastSpk = length(find(spkTimes < t2-t1 -6*var));
spk = normpdf(t, 0, var);
for i = 1:lastSpk
    loc = round(spkTimes(i)/dt);
    pts = (1:nPts) + loc - centerLoc;
    pts(pts < 1) = [];
    traj.rate(pts) = traj.rate(pts) + spk(pts - loc + centerLoc);
end